# Uses of Class
java.util.logging.Formatter

Packages that use Formatter
Package
Description
java.util.logging
Provides the classes and interfaces of the Java 2 platform's core logging facilities.

- ## Uses of Formatter in java.util.logging

  Subclasses of Formatter in java.util.logging
  Modifier and Type
  Class
  Description
  `class`
  `SimpleFormatter`
  Print a brief summary of the `LogRecord` in a human readable format.
  `class`
  `XMLFormatter`
  Format a LogRecord into a standard XML format.
  Methods in java.util.logging that return Formatter
  Modifier and Type
  Method
  Description
  `Formatter`
  Handler.`getFormatter()`
  Return the `Formatter` for this `Handler`.
  Methods in java.util.logging with parameters of type Formatter
  Modifier and Type
  Method
  Description
  `void`
  Handler.`setFormatter(Formatter newFormatter)`
  Set a `Formatter`.
  Constructors in java.util.logging with parameters of type Formatter
  Modifier
  Constructor
  Description
  ``
  `StreamHandler(OutputStream out, Formatter formatter)`
  Create a `StreamHandler` with a given `Formatter` and output stream.